function Fls_th = Fl_scaled_th(Fl_th,V);

global  Vm ms  Nfloors  Npoints


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This function calculates the wind load matrix, Fls_th, [3*Nfloors x Npoints], for the prototype dynamic MDOF system %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%%%%%%%%%%%%%% Calculate the wind load matrix, F_t, [3*Nfloors x Npoints] %%%%%%%%%%%%%%%%%%%%%

Fls_th = zeros(3*Nfloors,Npoints);   % Initialize the wind forces array 
% Change the following lines to accomodate the proper F_t
% In all cases: const*[Ntaps x Ntaps]*[Ntaps x time]
% 1a. Cp_tr contains pressure coefficients & the units of F_t are kN 
%     F_t         = (0.613*V^2/1000) * diag(A_t) * Cp_tr;     
% 1b. Cp_tr contains pressure coefficients & the units of F_t are N 

      Fls_th(1:2*Nfloors,1:Npoints)              = ((V/Vm)^2)*(ms^2)*Fl_th(1:2*Nfloors,1:Npoints);  
      Fls_th(2*Nfloors+1:3*Nfloors,1:Npoints)    = ((V/Vm)^2)*(ms^3)*Fl_th(2*Nfloors+1:3*Nfloors,1:Npoints); 
      
%    F_t         = diag(A_t) * Cp_tr; 
% 3. Cp_tr contains forces in N; the units of F_t are N
%    F_t         =  Cp_tr;