function [V_lookup,dir_lookup,nhurr,recurrence] = HurrData
global  Hmp  flHfile  Hfile  H_bldg  
% This function reads in the NIST hurricane wind speed matrix


hurrifile   = [flHfile '\file' num2str(Hfile) '.dat'];
file1       = fopen(hurrifile,'r');              % read in data: nmi/hr, 1-min, 10m, open
temp1       = fgets(file1);                      % read first line, but then ignore
station     = str2num(fgets(file1));             % read second line from the wind speed file
temp2       = str2num(fgets(file1));             % read third line from the wind speed file
recurrence  = temp2(1);                          % prob. of hurricane occurrence in one year
nhurr       = temp2(2);                          % number of hurricanes
wind_data   = (fscanf(file1,'%f',[18 nhurr]));   % 18x999

windvalues  = wind_data([1:16],:);                % 16x999 (directions only)
fclose(file1);
windvalues  = windvalues*1.15/1.25;              % mph, hourly, 10m       , open
windvalues  = (windvalues*0.44704)';             % m/s, hourly, 10m       , open
Grad_factor = (H_bldg/400)^0.28 * (275/10)^0.16; % m/s, hourly, H_bldg (m), suburban 

V_lookup = Grad_factor*windvalues;               % m/s, hourly, H_bldg (m), suburban (999x16)
dir_lookup = 22.5:22.5:360;                      % Directions used in hurricane database
